Package org.eclipse.m2m.atl.emftvm.util

## Class NativeTypes

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.NativeTypes

    public final class NativeTypes
    extends java.lang.Object

Contains a registry of native type names and their Java class implementations, and provides methods to instantiate native types.

### Nested Class Summary

Nested Classes
`static class` `NativeTypes.NativeType` Enumeration of registered native types.

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Class<?>` `boxedType​(java.lang.Class<?> type)` Returns the boxed EMFTVM type for the given type.
`static java.lang.Class<?>` `findType​(java.lang.String typeName)` Finds the `Class` for `typeName`.
`static java.lang.Object` `newInstance​(java.lang.Class<?> type)` Creates a new instance of `type`.
`static java.lang.String` `typeName​(java.lang.Class<?> type)` Returns the name of `type`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### findType

    public static java.lang.Class<?> findType​(java.lang.String typeName)
                                       throws java.lang.ClassNotFoundException

Finds the `Class` for `typeName`.

Parameters:
  `typeName` - the native type name
Returns:
  the `Class` for `typeName`
Throws:
  `java.lang.ClassNotFoundException` - if the `Class` could not be found

#### newInstance

    public static java.lang.Object newInstance​(java.lang.Class<?> type)
                                        throws java.lang.InstantiationException,
                                               java.lang.IllegalAccessException

Creates a new instance of `type`.

Parameters:
  `type` - the type to instantiate
Returns:
  a new instance of `type`
Throws:
  `java.lang.InstantiationException` - if the type cannot be instantiated
  `java.lang.IllegalAccessException` - if the type cannot be accessed

#### typeName

    public static java.lang.String typeName​(java.lang.Class<?> type)

Returns the name of `type`.

Parameters:
  `type` - the type
Returns:
  the name of `type`

#### boxedType

    public static java.lang.Class<?> boxedType​(java.lang.Class<?> type)

Returns the boxed EMFTVM type for the given type.

Parameters:
  `type` - the Java type for which to return the boxed type
Returns:
  the boxed EMFTVM type for the given type